Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@parabola.nu>2017-02-19 16:29:02 -0500
committerLuke Shumaker <lukeshu@parabola.nu>2017-02-19 16:29:02 -0500
commit24e24de8a5a81442128a056f9f75881c06cb4b05 (patch)
treecd1c1cbd026ebe4f81ebd905888ce9fd60072910
parent687b00c814ce84321f7972504d1da574bf4e6e2c (diff)
makechrootpkg: tidy
-rw-r--r--makechrootpkg.in6
1 files changed, 2 insertions, 4 deletions
diff --git a/makechrootpkg.in b/makechrootpkg.in
index 5c2086e..463d28b 100644
--- a/makechrootpkg.in
+++ b/makechrootpkg.in
@@ -348,6 +348,7 @@ EOF
# Usage: download_sources $copydir $src_owner
# Globals:
# - SRCDEST
+# - USER
download_sources() {
local copydir=$1
local src_owner=$2
@@ -487,9 +488,6 @@ main() {
[[ ! -d $chrootdir ]] && die "No chroot dir defined, or invalid path '%s'" "$passeddir"
[[ ! -d $chrootdir/root ]] && die "Missing chroot dir root directory. Try using: mkarchroot %s/root base-devel" "$chrootdir"
- # Detect chrootdir filesystem type
- chroottype=$(stat -f -c %T "$chrootdir")
-
if [[ ${copy:0:1} = / ]]; then
copydir=$copy
else
@@ -541,7 +539,7 @@ main() {
install_packages "$copydir" "${install_pkgs[@]}"
ret=$?
# If there is no PKGBUILD we have done
- [[ -f PKGBUILD ]] || exit $ret
+ [[ -f PKGBUILD ]] || return $ret
fi
download_sources "$copydir" "$src_owner"